/* BLOCK: Support */

.block-support .tiles-wrapper {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1.25rem;
    grid-auto-flow: dense;
}

.block-support .tile {
    --pad: 2.5rem;
    grid-column: span var(--size, 1);
    border-radius: 1.5625rem;
    position: relative;
    overflow: hidden;
    padding: var(--pad);
    display: flex;
    gap: 1.25rem;
    min-height: 18.75rem;
}

.block-support .tile--large {
    --pad: 3.75rem;
    min-height: 25rem;
}

.block-support .tile--default.theme--dark-tint-2 {
    color: var(--c-text-dark);
    --theme-clr-fg: var(--c-text-dark);
    --theme-clr-heading: var(--c-text-dark);
}

.block-support .tile .tile__main {
    display: flex;
    flex-direction: column;
    gap: 1.875rem;
}

.block-support .tile--default .tile__main {
    flex-basis: 1px;
    flex-grow: 1;
}

.block-support .tile--default .tile__status {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    color: var(--c-tertiary);
    font-size: var(--font-15-11);
    font-weight: 600;
    letter-spacing: -0.05em;
    line-height: 1.1;
}

.block-support .tile--default .tile__main:not(:last-child) .text-content {
    max-width: 90%;
}

.block-support .tile--default .tile__graphics {
    flex-basis: 28%;
    flex-shrink: 0;
    max-height: calc(18.75rem - 2 * var(--pad));
    margin-right: calc(-1 * var(--pad));
    align-self: flex-end;
}

.block-support .tile--default.tile--large .tile__graphics {
    flex-basis: 42%;
}

:where(.block-support .tile--default.theme--dark-tint-2) .btn:where(.tertiary) {
    --clr-text: var(--c-primary);
}

.block-support .tile--media .tile__main .text-content {
    max-width: 90%;
}

.block-support .tile .tile__main > :is(.cta-buttons,.gbwp-widget--social-links) {
    margin-top: auto;
}

.block-support .tile--media {
    isolation: isolate;
    color: var(--c-text-light);
}

.block-support .tile--media .bg-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: var(--c-text-dark);
    opacity: 0.5;
    mix-blend-mode: multiply;
}

:where(.block-support .tile--media) .btn:where(.tertiary) {
    color: var(--c-text-light);
}

@media screen and (width <= 920px) {
    .block-support .tiles-wrapper {
        grid-template-columns: 1fr;
        gap: 0.75rem;
    }

    .block-support .tile {
        --pad: 1.375rem;
        grid-column: span 1;
        border-radius: 1.125rem;
    }

    .block-support .tile--large {
        --pad: 1.875rem;
        flex-direction: column;
    }

    .block-support .tile--default .tile__status {
        gap: 0.625rem;
        margin-bottom: -0.625rem;
    }

    .block-support .tile--default.tile--large .tile__graphics {
        flex-basis: unset;
        max-width: 74%;
        max-height: unset;
    }

    .block-support .tile__main .text-content {
        max-width: 75%;
    }

    .block-support .tile--default .tile__main:not(:last-child) .text-content {
        max-width: 85%;
    }

    .block-support .tile--media .tile__main .text-content {
        max-width: 65%;
    }
}

@media screen and (width <= 620px) {
    .block-support .tile {
        min-height: 10.1875rem;
    }

    .block-support .tile--large {
        min-height: unset;
    }

    .block-support .tile--default .tile__graphics {
        flex-basis: 22%;
        max-height: calc(10.1875rem - 2 * var(--pad));
    }
}